import request from '@/utils/request'

// 查询专利公开数据列表
export function listDPatentPubInfo(query) {
  return request({
    url: '/reportpub/dPatentPubInfo/list',
    method: 'get',
    params: query
  })
}

// 查询专利公开数据详细
export function getDPatentPubInfo(id) {
  return request({
    url: '/reportpub/dPatentPubInfo/' + id,
    method: 'get'
  })
}

// 新增专利公开数据
export function addDPatentPubInfo(data) {
  return request({
    url: '/reportpub/dPatentPubInfo',
    method: 'post',
    data: data
  })
}

// 修改专利公开数据
export function updateDPatentPubInfo(data) {
  return request({
    url: '/reportpub/dPatentPubInfo',
    method: 'put',
    data: data
  })
}

// 删除专利公开数据
export function delDPatentPubInfo(id) {
  return request({
    url: '/reportpub/dPatentPubInfo/' + id,
    method: 'delete'
  })
}
